/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/* $Id$ */

package org.apache.fop.fonts;

import java.util.List;

import org.apache.fop.apps.FOPException;

/**
 * An abstract FontInfo configurator
 */
// TODO: Make T extends some interface to make the font info type explicit
public interface FontConfigurator<T> {

    /**
     * Initializes font info settings from the user configuration
     * @return a font info list
     * @throws FOPException if an exception occurs while processing the configuration
     */
    List<T> configure(FontConfig fontInfoConfig) throws FOPException;

}
