/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/* $Id: AbstractConfigurator.java 1610839 2014-07-15 20:25:58Z vhennebert $ */

package org.apache.fop.render;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import org.apache.fop.apps.FOUserAgent;

/**
 * An abstract configurator
 */
public abstract class AbstractConfigurator {
    /** logger instance */
    protected static final Log log = LogFactory.getLog(AbstractConfigurator.class);

    private static final String MIME = "mime";

    /** fop factory configuration */
    protected FOUserAgent userAgent;

    /**
     * Default constructor
     * @param userAgent user agent
     */
    public AbstractConfigurator(FOUserAgent userAgent) {
        super();
        this.userAgent = userAgent;
    }

    /**
     * Returns the configurator type
     * @return the configurator type
     */
    public abstract String getType();
}
